Bug 1015162 - Review Request: xorg-x11-drv-wayland - Xorg wayland driver
Review Request: xorg-x11-drv-wayland - Xorg wayland driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 10:35 EDT by Adam Jackson
Modified: 2014-05-21 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-21 12:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2013-10-03 10:35:32 EDT
Spec URL: http://ajax.fedorapeople.org/xorg-x11-drv-wayland/xorg-x11-drv-wayland.spec
SRPM URL: http://ajax.fedorapeople.org/xorg-x11-drv-wayland/xorg-x11-drv-wayland-0-0.1.20131003.src.rpm
Description: Fallback driver for X-under-wayland
Fedora Account System Username: ajax
Comment 1 Adam Jackson 2013-10-03 10:38:35 EDT
Wrong srpm url.  Right one:

http://ajax.fedorapeople.org/xorg-x11-drv-wayland/xorg-x11-drv-wayland-0-0.1.20131003.fc20.src.rpm

Note that this requires a fairly new xorg-x11-server-devel to build; I've not marked the exact version yet, but what's currently in F20 should be sufficient.
Comment 2 Peter Lemenkov 2013-10-05 02:12:26 EDT
Few remarks:

* Remove %clean section, and "rm -rf $RPM_BUILD_ROOT" in the %install section - I doubt we're targeting pre-F12/pre-RHEL7 systems.

* Remove "%defattr(-,root,root,-)" in the %files section - no longer needed (since RHEL5/Fedora Core 6).

* You may use "autoreconf -ivf" instead of "autoreconf -v --install || exit 1"

* The following files should be marked as %doc in the %file section - COPYING, README.
Comment 3 Peter Lemenkov 2013-10-05 02:13:07 EDT
Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=6026858
Comment 4 Peter Lemenkov 2013-10-05 02:22:57 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

Auriga ~: rpmlint ~/Desktop/xorg-x11-drv-wayland-*
xorg-x11-drv-wayland.x86_64: W: incoherent-version-in-changelog 0-0.1git20131003 ['0-0.1.20131003.fc21', '0-0.1.20131003']

^^^ please fix that before uploading

xorg-x11-drv-wayland.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Auriga ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).

- The file, containing the text of the license(s) for the package, MUST be marked in %doc. See my notes above.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


Please address/comment my notes below and I'll finish this.
Comment 5 Peter Lemenkov 2013-10-09 07:15:10 EDT
Ping, Adam!
Comment 6 Peter Lemenkov 2014-01-10 06:23:01 EST
Ping again!
What's the status of this ticket?
Comment 7 Adam Jackson 2014-05-21 12:56:02 EDT
Never happening, Xwayland is its own DDX now.

Note You need to log in before you can comment on or make changes to this bug.